<div class="example-container" [class.example-is-mobile]="mobileQuery.matches">
    <mat-toolbar color="primary" class="example-toolbar">
      <button mat-icon-button (click)="snav.toggle()"><mat-icon>menu</mat-icon></button>
      <h1 class="example-app-name">Hogwarts School of Witchcraft and Wizardry</h1>
    </mat-toolbar>

    <mat-sidenav-container class="example-sidenav-container"
                           [style.marginTop.px]="mobileQuery.matches ? 56 : 0">
      <mat-sidenav #snav [mode]="mobileQuery.matches ? 'over' : 'side'"
                   [fixedInViewport]="mobileQuery.matches" fixedTopGap="56">
        <mat-nav-list>
          <a mat-list-item routerLink="/">Characters</a>
          <a mat-list-item routerLink="students">Students</a>
          <a mat-list-item routerLink="teachers">Teachers</a>
          <a mat-list-item routerLink="new-students" *ngIf="session.getStudents().length != 0">New Students</a>
        </mat-nav-list>
      </mat-sidenav>

      <mat-sidenav-content>
        <router-outlet></router-outlet>
      </mat-sidenav-content>
    </mat-sidenav-container>
  </div>
  <ng-http-loader spinner="sk-wave"></ng-http-loader>
